Monad API
string · requiredstring · requiredintegerstringintegerintegerinteger
string · requiredstring · requiredinteger · requiredstringinteger[]
string · requiredstring · requiredstring · requiredstringinteger[]
Key-value store operations
Get KV lookup metadata
GET
https://app.monad.com/api
/v3/{organization_id}/kv_lookup/metadata
Authorization (header)
or
x-api-key (header)
Get metadata of the KV lookup bucket for a given organization and component, including key count, byte usage, last ingested time, max bytes, and TTL
path Parameters
organization_idOrganization ID
query Parameters
component_idComponent ID
Get KV lookup metadata › Responses
Metadata retrieved successfully
byteslast_ingested_timemax_bytesnumber_of_keysttlGet KV lookup sample entries
GET
https://app.monad.com/api
/v3/{organization_id}/kv_lookup/sample
Authorization (header)
or
x-api-key (header)
Get a sample of entries from the NATS KV lookup bucket for a given organization and component
path Parameters
organization_idOrganization ID
query Parameters
component_idComponent ID
num_entriesNumber of sample entries to return
Get KV lookup sample entries › Responses
Sample entries retrieved successfully
object[]
last_updated_atvalueGet value by key from KV lookup
GET
https://app.monad.com/api
/v3/{organization_id}/kv_lookup/value
Authorization (header)
or
x-api-key (header)
Get the value associated with a specific key from the NATS KV lookup bucket for a given organization and component
path Parameters
organization_idOrganization ID
query Parameters
component_idComponent ID
keyKey to look up
Get value by key from KV lookup › Responses
Value retrieved successfully
last_updated_atvalue